package CF::Schema::Result::Alive;

use strict;
use warnings;
use feature 'signatures';
no warnings qw{ experimental::signatures };

use base 'DBIx::Class::Core';

our $VERSION = 1;

__PACKAGE__->table('alive');

__PACKAGE__->add_columns(
    id => {
        data_type         => 'integer',
        is_auto_increment => 1,
        is_nullable       => 0,
        sequence          => 'uid_seq'
    },
    qw(
        event_id
        user_id
        timestamp
    ),
);

__PACKAGE__->set_primary_key('id');

__PACKAGE__->belongs_to(
    event => 'CF::Schema::Result::Event',
    {
        'foreign.id' => 'self.user_id',
    },
);

__PACKAGE__->belongs_to(
    user => 'CF::Schema::Result::User',
    {
        'foreign.id' => 'self.user_id',
    },
);

1;
